[MIR] unity-greeter

Bug #809710 reported by Robert Ancell on 2011-07-13
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-greeter (Ubuntu)
Wishlist
Unassigned

Bug Description

Availability: Currently in Universe
Rationale: LightDM has been proposed as the display manager to use in Oneric, see https://blueprints.launchpad.net/ubuntu/+spec/desktop-o-lightdm. This package implements the greeter that has been designed for Oneiric.
Security: No known security problems, should have a security review before Oneric final release. Greeter is run by lightdm as an unprivileged user and doesn't run a session or anything that allows access to things that an unauthorized user should. Currently the indicators allow some configuration apps to be run, but this will be disabled in the final release.
Quality assurance: Package is new and still being actively developed, but no known major problems at this time.
UI Standards: Implements design from Canonical design team
Dependencies: All dependencies in main
Maintenance: Will be maintained by the Ubuntu Desktop team or more specifically me (Robert Ancell).

Changed in lightdm (Ubuntu):
importance: Undecided → Wishlist
description: updated
Michael Terry (mterry) on 2011-07-22
Changed in lightdm (Ubuntu):
assignee: nobody → Kees Cook (kees)
assignee: Kees Cook (kees) → Michael Terry (mterry)
Michael Terry (mterry) wrote :

From a maintainability perspective, it seems fine. You should subscribe to bug mail for it though.

From a security perspective, it also seems mostly fine, the real dangers are in lightdm. This does load indicators, which could be a problem, though you say they will be nerfed. I'm going to open a bug assigned to the security team to do a review of this package, but I'm not going to block the MIR on that so that we can get wider testing. In the worst case, we just drop indicators that pose security problems.

affects: lightdm (Ubuntu) → unity-greeter (Ubuntu)
Changed in unity-greeter (Ubuntu):
assignee: Michael Terry (mterry) → nobody
assignee: nobody → Michael Terry (mterry)
assignee: Michael Terry (mterry) → nobody
status: New → Fix Committed
Michael Terry (mterry) wrote :

Security bug is bug 814691.

Colin Watson (cjwatson) wrote :

This is waiting on unity-greeter being seeded or depended on by something in main.

Didier Roche (didrocks) wrote :

lightdm now recommends unity-greeter

2011-08-10 17:12:59 INFO Override Component to: 'main'
2011-08-10 17:13:00 INFO 'unity-greeter - 0.0.2-0ubuntu2/universe/x11' source overridden
2011-08-10 17:13:00 INFO 'unity-greeter-0.0.2-0ubuntu2/universe/x11/OPTIONAL' binary overridden in oneiric/amd64
2011-08-10 17:13:00 INFO 'unity-greeter-0.0.2-0ubuntu2/universe/x11/OPTIONAL' binary overridden in oneiric/armel
2011-08-10 17:13:00 INFO 'unity-greeter-0.0.2-0ubuntu2/universe/x11/OPTIONAL' binary overridden in oneiric/i386
2011-08-10 17:13:00 INFO 'unity-greeter-0.0.2-0ubuntu1/universe/x11/OPTIONAL' binary overridden in oneiric/powerpc
Confirm this transaction? [yes, no] yes
2011-08-10 17:13:19 INFO Transaction committed.

Matthias Klose (doko) on 2011-08-11
Changed in unity-greeter (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers